Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234712 - yum upgrade on fresh install fails on mysql
Summary: yum upgrade on fresh install fails on mysql
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-31 17:34 UTC by Larry Matter
Modified: 2014-01-21 22:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:23:08 UTC


Attachments (Terms of Use)

Description Larry Matter 2007-03-31 17:34:27 UTC
Description of problem:
fresh install of fc7t2, ran "yum -y upgrade" and it failed on mysql:

Transaction Check Error:
  file /etc/my.cnf from install of mysql-libs-5.0.37-2.fc7 conflicts with file
from package mysql-5.0.33-1.fc7
  file /usr/share/mysql/charsets/Index.xml from install of
mysql-libs-5.0.37-2.fc7 conflicts with file from package mysql-5.0.33-1.fc7
  file /usr/share/mysql/charsets/armscii8.xml from install of
mysql-libs-5.0.37-2.fc7 conflicts with file from package mysql-5.0.33-1.fc7
  file /usr/share/mysql/charsets/ascii.xml from install of
mysql-libs-5.0.37-2.fc7 conflicts with file from package mysql-5.0.33-1.fc7
  file /usr/share/mysql/charsets/cp1250.xml from install of
mysql-libs-5.0.37-2.fc7 conflicts with file from package mysql-5.0.33-1.fc7
...
  file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.0.37-2.fc7 
conflicts with file from package mysql-5.0.33-1.fc7


Version-Release number of selected component (if applicable):


How reproducible:
only tried once (takes too long)

Steps to Reproduce:
1. install fc7t2, selecting mysql server during install
2. open root shell
3. yum -y upgrade
  
Actual results:
upgrade fails

Expected results:
upgrade succeeds.

Additional info:
workaround is to "yum remove mysql" prior to upgrade, then reinstall afterwords.
 Keep track of dependent components that are also removed.

Comment 1 Seth Vidal 2007-04-02 15:33:14 UTC
more details needed:
 - what the state of the pkgs before the update
 - does anything obsolete the other pkgs
 - is this a multilib machine? 

Comment 2 Tom Lane 2007-04-02 15:54:10 UTC
This has doubtless got something to do with having split the libraries into a
new separate RPM, but I'd have thought that would Just Work.  The multilib point
seems important --- exactly which packages did you have installed?

Comment 3 Bug Zapper 2008-04-03 23:52:04 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Bug Zapper 2008-05-07 01:23:06 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.